﻿@using SiteGuide.Service.Views.Emails
@using Humanizer
@model EmailViewModel
<!DOCTYPE html>
<html>
<head>
	<title></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<style type="text/css">
		/* FONTS */
		@@media screen {
			@@font-face {
				font-family: 'Lato';
				font-style: normal;
				font-weight: 400;
				src: local('Lato Regular'), local('Lato-Regular'), url(https://fonts.gstatic.com/s/lato/v11/qIIYRU-oROkIk8vfvxw6QvesZW2xOQ-xsNqO47m55DA.woff) format('woff');
			}

			@@font-face {
				font-family: 'Lato';
				font-style: normal;
				font-weight: 700;
				src: local('Lato Bold'), local('Lato-Bold'), url(https://fonts.gstatic.com/s/lato/v11/qdgUG4U09HnJwhYI-uK18wLUuEpTyoUstqEm5AMlJo4.woff) format('woff');
			}

			@@font-face {
				font-family: 'Lato';
				font-style: italic;
				font-weight: 400;
				src: local('Lato Italic'), local('Lato-Italic'), url(https://fonts.gstatic.com/s/lato/v11/RYyZNoeFgb0l7W3Vu1aSWOvvDin1pK8aKteLpeZ5c0A.woff) format('woff');
			}

			@@font-face {
				font-family: 'Lato';
				font-style: italic;
				font-weight: 700;
				src: local('Lato Bold Italic'), local('Lato-BoldItalic'), url(https://fonts.gstatic.com/s/lato/v11/HkF_qI1x_noxlxhrhMQYELO3LdcAZYWl9Si6vvxL-qU.woff) format('woff');
			}
		}

		/* CLIENT-SPECIFIC STYLES */
		body, table, td, a {
			-webkit-text-size-adjust: 100%;
			-ms-text-size-adjust: 100%;
		}

		table, td {
			mso-table-lspace: 0pt;
			mso-table-rspace: 0pt;
		}

		img {
			-ms-interpolation-mode: bicubic;
		}

		/* RESET STYLES */
		img {
			border: 0;
			height: auto;
			line-height: 100%;
			outline: none;
			text-decoration: none;
		}

		table {
			border-collapse: collapse !important;
		}

		body {
			height: 100% !important;
			margin: 0 !important;
			padding: 0 !important;
			width: 100% !important;
		}

		/* iOS BLUE LINKS */
		a[x-apple-data-detectors] {
			color: inherit !important;
			text-decoration: none !important;
			font-size: inherit !important;
			font-family: inherit !important;
			font-weight: inherit !important;
			line-height: inherit !important;
		}

		/* MOBILE STYLES */
		@@media screen and (max-width:600px) {
			h1 {
				font-size: 32px !important;
				line-height: 32px !important;
			}
		}

		/* ANDROID CENTER FIX */
		div[style*="margin: 16px 0;"] {
			margin: 0 !important;
		}
	</style>
</head>
<body style="background-color: #f4f4f4; margin: 0 !important; padding: 0 !important;">

	@if (Model.HiddenPreheaderText != null)
	{
		<text>
	  <!-- HIDDEN PREHEADER TEXT -->
		<div style="display: none; font-size: 1px; color: #fefefe; line-height: 1px; font-family: 'Lato', Helvetica, Arial, sans-serif; max-height: 0px; max-width: 0px; opacity: 0; overflow: hidden;">
				@Model.HiddenPreheaderText
	  </div>
		</text>
	}
 <table border="0" cellpadding="0" cellspacing="0" width="100%">
  <!-- LOGO -->
  <tr>
   <td bgcolor="#539be2" align="center">
	<!--[if (gte mso 9)|(IE)]>
	<table align="center" border="0" cellspacing="0" cellpadding="0" width="600">
	<tr>
	<td align="center" valign="top" width="600">
	<![endif]-->
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width: 600px;">
	 <tr>
	  <td align="center" valign="top" style="padding: 40px 10px 40px 10px;">
							@* TODO: Parameterise urls:*@
	   <a href="@Model.SiteUrl" target="_blank">
		<img alt="Logo" src="@Model.SiteUrl/css/images/windsock40.png" width="40" height="40" style="display: block; width: 40px; max-width: 40px; min-width: 40px; font-family: 'Lato', Helvetica, Arial, sans-serif; color: #ffffff; font-size: 18px;" border="0">
	   </a>
	  </td>
	 </tr>
	</table>
	<!--[if (gte mso 9)|(IE)]>
	</td>
	</tr>
	</table>
	<![endif]-->
   </td>
  </tr>
  <!-- HERO -->
  <tr>
   <td bgcolor="#539be2" align="center" style="padding: 0px 10px 0px 10px;">
	<!--[if (gte mso 9)|(IE)]>
	<table align="center" border="0" cellspacing="0" cellpadding="0" width="600">
	<tr>
	<td align="center" valign="top" width="600">
	<![endif]-->
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width: 600px;">
	 <tr>
	  <td bgcolor="#ffffff" align="center" valign="top" style="padding: 40px 20px 20px 20px; border-radius: 4px 4px 0px 0px; color: #111111; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 48px; font-weight: 400; letter-spacing: 4px; line-height: 48px;">
	   <h1 style="font-size: 48px; font-weight: 400; margin: 0;">@ViewData["EmailTitle"]</h1>
	  </td>
	 </tr>
	</table>
	<!--[if (gte mso 9)|(IE)]>
	</td>
	</tr>
	</table>
	<![endif]-->
   </td>
  </tr>
  <!-- COPY BLOCK -->
  <tr>
   <td bgcolor="#f4f4f4" align="center" style="padding: 0px 10px 0px 10px;">
	<!--[if (gte mso 9)|(IE)]>
	<table align="center" border="0" cellspacing="0" cellpadding="0" width="600">
	<tr>
	<td align="center" valign="top" width="600">
	<![endif]-->
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width: 600px;">
	 <!-- COPY -->
	 <tr>
	  <td bgcolor="#ffffff" align="left" style="padding: 20px 30px 40px 30px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 18px; font-weight: 400; line-height: 25px;">
							@RenderBody()
	  </td>
	 </tr>
	</table>
	<!--[if (gte mso 9)|(IE)]>
	</td>
	</tr>
	</table>
	<![endif]-->
   </td>
  </tr>
  <!-- FOOTER -->
  <tr>
   <td bgcolor="#f4f4f4" align="center" style="padding: 0px 10px 0px 10px;">
	<!--[if (gte mso 9)|(IE)]>
	<table align="center" border="0" cellspacing="0" cellpadding="0" width="600">
	<tr>
	<td align="center" valign="top" width="600">
	<![endif]-->
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="max-width: 600px;">
	 <!-- NAVIGATION -->
	 <tr>
	  <td bgcolor="#f4f4f4" align="left" style="padding: 30px 30px 30px 30px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 14px; font-weight: 400; line-height: 18px;">
	   <p style="margin: 0;">
		<a href="@Model.SiteUrl" target="_blank" style="color: #111111; font-weight: 700;">@Model.SiteUrl.Split("://", 2)[1]</a>@* -
									<a href="http://litmus.com" target="_blank" style="color: #111111; font-weight: 700;">Billing</a> -
									<a href="http://litmus.com" target="_blank" style="color: #111111; font-weight: 700;">Help</a>*@
	   </p>
	  </td>
	 </tr>
					@*  	<!-- UNSUBSCRIBE -->
						<tr>
						<td bgcolor="#f4f4f4" align="left" style="padding: 0px 30px 30px 30px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 14px; font-weight: 400; line-height: 18px;">
						<p style="margin: 0;">If these emails get annoying, please feel free to <a href="http://litmus.com" target="_blank" style="color: #111111; font-weight: 700;">unsubscribe</a>.</p>
						</td>
						</tr>
						<!-- ADDRESS -->
						<tr>
						<td bgcolor="#f4f4f4" align="left" style="padding: 0px 30px 30px 30px; color: #666666; font-family: 'Lato', Helvetica, Arial, sans-serif; font-size: 14px; font-weight: 400; line-height: 18px;">
						<p style="margin: 0;">Contoso - 1234 Main Street - Anywhere, MA - 56789</p>
						</td>*@
  </tr>
 </table>
 <!--[if (gte mso 9)|(IE)]>
 </td>
 </tr>
 </table>
 <![endif]-->
 </td>
 </tr>
 </table>

</body>
</html>